/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizsaleorder.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.CommonEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 销售订单实体
 *
 * @author fanzherong
 * @date  2025/04/10 09:31
 **/
@Getter
@Setter
@TableName("biz_sale_order")
public class BizSaleOrder extends CommonEntity {

    /** 主键ID */
    @TableId
    @Schema(description = "主键ID")
    private String id;

    /** 销售订单编号 */
    @Schema(description = "销售订单编号")
    private String saleOrderNumber;

    /** 销售订单名称 */
    @Schema(description = "销售订单名称")
    private String saleOrderName;

    /** 订单类型（1：常规订单   2：服务订单） */
    @Schema(description = "订单类型（1：常规订单   2：服务订单）")
    private String saleOrderType;

    /** 货品名称 */
    @Schema(description = "货品名称")
    private String saleGoodsName;

    /** 销售订单重量 */
    @Schema(description = "销售订单重量")
    private BigDecimal saleOrderWeight;

    /**状态（1：待执行  2：执行中   3：结束）*/
    private String saleStatus;

    /***客户id*/
    private String customerId;

    @TableField(exist = false)
    /**客户名称*/
    private String customerName;

    /**货品编码*/
    private String saleGoodsCode;

}
