/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.supplier.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.supplier.entity.BizSupplier;
import vip.xiaonuo.biz.modular.supplier.param.BizSupplierAddParam;
import vip.xiaonuo.biz.modular.supplier.param.BizSupplierEditParam;
import vip.xiaonuo.biz.modular.supplier.param.BizSupplierIdParam;
import vip.xiaonuo.biz.modular.supplier.param.BizSupplierPageParam;

import java.util.List;

/**
 * 供货商Service接口
 *
 * @author fanzherong
 * @date  2025/03/21 10:38
 **/
public interface BizSupplierService extends IService<BizSupplier> {

    /**
     * 获取供货商分页
     *
     * @author fanzherong
     * @date  2025/03/21 10:38
     */
    Page<BizSupplier> page(BizSupplierPageParam bizSupplierPageParam);

    /**
     * 添加供货商
     *
     * @author fanzherong
     * @date  2025/03/21 10:38
     */
    void add(BizSupplierAddParam bizSupplierAddParam);

    /**
     * 编辑供货商
     *
     * @author fanzherong
     * @date  2025/03/21 10:38
     */
    void edit(BizSupplierEditParam bizSupplierEditParam);

    /**
     * 删除供货商
     *
     * @author fanzherong
     * @date  2025/03/21 10:38
     */
    void delete(List<BizSupplierIdParam> bizSupplierIdParamList);

    /**
     * 获取供货商详情
     *
     * @author fanzherong
     * @date  2025/03/21 10:38
     */
    BizSupplier detail(BizSupplierIdParam bizSupplierIdParam);

    /**
     * 获取供货商详情
     *
     * @author fanzherong
     * @date  2025/03/21 10:38
     **/
    BizSupplier queryEntity(String id);
}
